Skip to main content

Type Processing Failure

Description

Notification about a resource PROCESSING_FAILURE event.

Response Body

ParentNameOutput
$.data[]
REQUIRED
data[]orgId
REQUIRED
data[]id
REQUIRED
data[]createdDate
REQUIRED
data[]feedbackUrl
REQUIRED
data[]resourceDetails
REQUIRED
data[]type
REQUIRED
resourceDetailsetag
REQUIRED
resourceDetailsresourceId
REQUIRED
resourceDetailsresourceType
REQUIRED
resourceDetailsstate
REQUIRED
resourceDetailsbrandId
CONDITIONAL

Brand ID

brandId (string) is provided when $.locationDetails.brandId is present.

Example Response Bodies

Location — No Brand Delegation

A PROCESSING_FAILURE notification is generated when a location fails to process. When the organization manages its own resources directly with no active brand delegation, only that organization receives the notification.

Notification ForProcess Initiated byTriggering Event
Location owner (no active brand delegation)Location ownerLocation processing failed
{
"data": [
{
"orgId": "9467895078742654994",
"id": "9467895078742654985",
"createdDate": "2026-10-10T17:32:05.00Z",
"type": "PROCESSING_FAILURE",
"feedbackUrl": "/v1/orgs/9467895078742654994/feedback?ql=id==9467895078742654960",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654957",
"etag": "32ed96de-7e79-11ee-b962-0242ac120002",
"state": "FAILED",
"brandId": "9467895078742654946"
}
},
{
"orgId": "9467895078742654994",
"id": "9467895078742654914",
"createdDate": "2026-10-09T14:12:46.00Z",
"type": "PROCESSING_FAILURE",
"feedbackUrl": "/v1/orgs/9467895078742654994/feedback?ql=id==9467895078742654950",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654948",
"etag": "b88387d3-7e5d-11ee-95ea-e6d01fc9d8c6",
"state": "FAILED",
"brandId": "9467895078742654946"
}
}
],
"pagination": {
"cursors": {
"after": "8U54a61d9b495324"
},
"next": "/v1/orgs/9467895078742654994/notifications?ql=createdDate=ge=2026-10-01T00:00:00Z;createdDate=le=2026-10-11T00:00:00Z;resourceType==LOCATION&limit=2&after=8U54a61d9b495324"
}
}
Location — Owner Initiates, Multiple Delegated Partners

A PROCESSING_FAILURE notification is generated when a location fails to process. When the brand associated with the location has been delegated to one or more partners, all parties — the owner and each partner whose delegation scope includes the brand — receive this notification. Each organization calls the notification API using their own orgId as the URI parameter; the access token encodes the authorization scope.

Notification ForProcess Initiated byTriggering Event
Location owner and all delegated partnersLocation ownerLocation processing failed
{
"data": [
{
"orgId": "9467895078742654934",
"id": "9467895078742654904",
"createdDate": "2026-10-10T17:32:05.00Z",
"type": "PROCESSING_FAILURE",
"feedbackUrl": "/v1/orgs/9467895078742654934/feedback?ql=id==9467895078742654933",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654939",
"etag": "c2b424d8-7e7c-11ee-b962-0242ac120002",
"state": "FAILED",
"brandId": "9467895078742654946"
}
}
],
"pagination": {
"cursors": {
"after": "1C44a61d9b495276"
},
"next": "/v1/orgs/9467895078742654934/notifications?ql=createdDate=ge=2026-10-01T00:00:00Z;createdDate=le=2026-10-11T00:00:00Z;resourceType==LOCATION&limit=1&after=1C44a61d9b495276"
}
}
Location — Partner Initiates, Multiple Delegated Partners

The same notification is generated when a delegated partner initiates the resource operation. The owner and all partners whose delegation scope includes the brand receive this notification. Each organization calls the notification API using their own orgId as the URI parameter; the access token encodes the authorization scope.

Notification ForProcess Initiated byTriggering Event
Location owner and all delegated partnersDelegated partnerLocation processing failed
{
"data": [
{
"orgId": "9467895078742654934",
"id": "9467895078742654525",
"createdDate": "2026-10-10T17:32:05.00Z",
"type": "PROCESSING_FAILURE",
"feedbackUrl": "/v1/orgs/9467895078742654934/feedback?ql=id==9467895078742654973",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654509",
"etag": "f114c30e-7e7d-11ee-b962-0242ac120002",
"state": "FAILED",
"brandId": "9467895078742654946"
}
}
],
"pagination": {
"cursors": {
"after": "4D22a61d9b495037"
},
"next": "/v1/orgs/9467895078742654934/notifications?ql=createdDate=ge=2026-10-01T00:00:00Z;createdDate=le=2026-10-11T00:00:00Z;resourceType==LOCATION&limit=1&after=4D22a61d9b495037"
}
}